import apiAddr from '../../api/base';
import { setData } from '../../utils/index';

const __staticUrl = require('../../config/env.js').static_url
Component({

  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    nav_list:[
        {
            url:"/pages/water_filter/water_filter",
            nav_name:"设备",
            photo:(__staticUrl + '/water_filter/deviceIcon.png')
        },
        {
            url:"/pages/info/info",
            nav_name:"我的",
            photo:(__staticUrl + '/person/Group_309.png')
        },
    ],
    foot_width:'50%',
  },

  /**
   * 组件的方法列表
   */
  methods: {
    jump(e){
        console.log(e);
      wx.redirectTo({
        url: e.currentTarget.dataset.url,
      })
    },

  },

  lifetimes: {
    attached: function () {
      // 组件被添加到页面节点树时执行
    },
  },
})